CopyHero

Update Blueprint Job

PUT
/api/v1/blueprints/jobs/{id}

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

id*Id

Request Body

application/json
  1. body
name*Name
description?string|null
job_type*Job Type
input_data?string|null

Response Body

Successful Response

application/json
  1. response
name*Name
description?string|null
job_type*Job Type
input_data?string|null
id*Id
owner_id?integer|null
created_at?|null
updated_at?|null
workflow_usage_count?Workflow Usage Count
Default0
execution_count?Execution Count
Default0
Example Request
curl -X PUT 'https://app.copyhero.app/api/v1/blueprints/jobs/0' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "job_type": "string"}'
Example Response
{  "name": "string",  "description": "string",  "job_type": "string",  "input_data": "string",  "id": 0,  "owner_id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "workflow_usage_count": 0,  "execution_count": 0}